summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2020-06-01 18:31:37 +0200
committerRobert Günzler <r@gnzler.io>2020-06-01 18:32:20 +0200
commit306e20b5af454926eb1ef66f8764c2a095130445 (patch)
tree7d03b9a238c19ebd8ac49fa0f35f5eaedc783f82 /bin
parentd5b03263b1d3b9b278a4bba4ba606b13dc1668e8 (diff)
bin/menu: show at the top
Diffstat (limited to 'bin')
-rwxr-xr-xbin/menu13
1 files changed, 8 insertions, 5 deletions
diff --git a/bin/menu b/bin/menu
index 7faea11..3b25776 100755
--- a/bin/menu
+++ b/bin/menu
@@ -1,7 +1,11 @@
 #!/bin/sh
+set -e
+[ -n "$DEBUG" ] && set -x
 
 arg0=bemenu
 prompt=${MENU_PROMPT:-">"}
+main_color="#0B346F"
+
 while test $# -gt 0; do
    case "$1" in
       -run)
@@ -13,20 +17,19 @@ while test $# -gt 0; do
 done
 
 exec "${arg0}" \
-   --bottom \
+   --no-overlap \
    --monitor=all \
    --ignorecase \
-   --list=4 \
+   --list=10 \
    --index \
-   --no-overlap \
    --prompt "${prompt}" \
    --fn 'Iosevka Sparkle 11' \
    --nb '#221E1D' --nf '#fffefe' \
-   --tb '#0B346F' --tf '#fffefe' \
+   --tb "$main_color" --tf '#fffefe' \
    --fb '#221E1D' --ff '#fffefe' \
    --sb '#FAD689' \
    --sf '#221E1D' \
-   --hb '#0B346F' \
+   --hb "$main_color" \
    --hf '#FCFAF2' \
    --scb '#221E1D' --scf '#fffefe' \
    "$@"